Limerence
Reports

List Report Templates

List predefined report templates that can seed a static report artifact.

GET
/reports/templates

List predefined report templates that can seed a static report artifact.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/reports/templates"
[  {    "category": "Database",    "defaultDescription": "string",    "defaultTitle": "string",    "description": "string",    "generationBrief": "string",    "id": "string",    "name": "string",    "sections": [      "string"    ]  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}